Subject: [PATCH 00/37] removal of some c++ keywords

From: Brandon Williams <[email-masked]>
Date: Mon, 29 Jan 2018 14:36:51 -0800

A while back there was some discussion of getting our codebase into a state
where we could use a c++ compiler if we wanted to (for various reason like
leveraging c++ only analysis tools, etc.).  Johannes Sixt had a very large
patch that achieved this but it wasn't in a state where it could be upstreamed.
I took that idea and did some removals of c++ keywords (new, template, try,
this, etc) but broke it up into several (well maybe more than several) patches.
I don't believe I've captured all of them in this series but this is at least
moving a step closer to being able to compile using a c++ compiler.

I don't know if this is something the community still wants to move towards,
but if this is something people are still interested in, and this series is
wanted, then we can keep doing these sort of conversions in chunks slowly.

Brandon Williams (37):
  object_info: change member name from 'typename' to 'type_name'
  object: rename function 'typename' to 'type_name'
  blame: rename 'this' variables
  pack-objects: rename 'this' variables
  rev-parse: rename 'this' variable
  diff: rename 'this' variables
  apply: rename 'try' variables
  apply: rename 'new' variables
  checkout: rename 'new' variables
  help: rename 'new' variables
  pack-redundant: rename 'new' variables
  reflog: rename 'new' variables
  remote: rename 'new' variables
  combine-diff: rename 'new' variables
  commit: rename 'new' variables
  diff-lib: rename 'new' variable
  diff: rename 'new' variables
  diffcore-delta: rename 'new' variables
  entry: rename 'new' variables
  http: rename 'new' variables
  imap-send: rename 'new' variables
  line-log: rename 'new' variables
  read-cache: rename 'new' variables
  ref-filter: rename 'new' variables
  remote: rename 'new' variables
  split-index: rename 'new' variables
  submodule: rename 'new' variables
  trailer: rename 'new' variables
  unpack-trees: rename 'new' variables
  init-db: rename 'template' variables
  environment: rename 'template' variables
  diff: rename 'template' variables
  environment: rename 'namespace' variables
  wrapper: rename 'template' variables
  tempfile: rename 'template' variables
  trailer: rename 'template' variables
  replace: rename 'new' variables

 apply.c                                | 106 ++++++++++++-------------
 blame.c                                |  33 ++++----
 builtin/cat-file.c                     |   4 +-
 builtin/checkout.c                     | 138 ++++++++++++++++-----------------
 builtin/diff-tree.c                    |   2 +-
 builtin/fast-export.c                  |   8 +-
 builtin/fsck.c                         |   4 +-
 builtin/grep.c                         |   2 +-
 builtin/help.c                         |  10 +--
 builtin/index-pack.c                   |  12 +--
 builtin/init-db.c                      |  30 +++----
 builtin/merge.c                        |   2 +-
 builtin/mktree.c                       |   4 +-
 builtin/pack-objects.c                 |   8 +-
 builtin/pack-redundant.c               |  48 ++++++------
 builtin/prune.c                        |   2 +-
 builtin/reflog.c                       |   8 +-
 builtin/remote.c                       |  44 +++++------
 builtin/replace.c                      |  28 +++----
 builtin/rev-parse.c                    |  34 ++++----
 builtin/tag.c                          |   2 +-
 builtin/unpack-objects.c               |  10 +--
 builtin/verify-commit.c                |   2 +-
 bulk-checkin.c                         |   2 +-
 cache.h                                |   4 +-
 combine-diff.c                         |  12 +--
 commit.c                               |  20 ++---
 contrib/examples/builtin-fetch--tool.c |   2 +-
 diff-lib.c                             |  20 ++---
 diff.c                                 |  38 ++++-----
 diffcore-delta.c                       |  16 ++--
 entry.c                                |  40 +++++-----
 environment.c                          |  24 +++---
 fast-import.c                          |  16 ++--
 fsck.c                                 |   2 +-
 git-compat-util.h                      |   4 +-
 http-push.c                            |   2 +-
 http.c                                 |  10 +--
 imap-send.c                            |  14 ++--
 line-log.c                             |  48 ++++++------
 log-tree.c                             |   2 +-
 object.c                               |   6 +-
 object.h                               |   2 +-
 pack-check.c                           |   2 +-
 packfile.c                             |   8 +-
 reachable.c                            |   2 +-
 read-cache.c                           |  36 ++++-----
 ref-filter.c                           |  20 ++---
 remote.c                               |  16 ++--
 sequencer.c                            |   2 +-
 sha1_file.c                            |  28 +++----
 sha1_name.c                            |   6 +-
 split-index.c                          |  10 +--
 split-index.h                          |   2 +-
 submodule.c                            |  16 ++--
 submodule.h                            |   2 +-
 tag.c                                  |   2 +-
 tempfile.c                             |  12 +--
 tempfile.h                             |  34 ++++----
 trailer.c                              |  44 +++++------
 unpack-trees.c                         |   6 +-
 walker.c                               |   4 +-
 wrapper.c                              |  40 +++++-----
 63 files changed, 559 insertions(+), 558 deletions(-)

-- 
2.16.0.rc1.238.g530d649a79-goog